Overview
PUT
/content/addresses/{id}contentUpdate addresses
Replace a record in addresses by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- ownerKindoptionalstring
- ownerIdoptionalstring
- labeloptionalstring
- line1optionalstring
- line2optionalstring
- cityoptionalstring
- regionoptionalstring
- postalCodeoptionalstring
- countryoptionalstring
Example
{
"deletedAt": "string",
"ecosystemId": "string",
"ownerKind": "string",
"ownerId": "string",
"label": "string",
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
}Responses
200
addresses
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- ownerKindstring
- ownerIdstring
- labelstring
- line1string
- line2string
- citystring
- regionstring
- postalCodestring
- countrystring
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"ownerKind": "string",
"ownerId": "string",
"label": "string",
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/content/addresses/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deletedAt": "string",
"ecosystemId": "string",
"ownerKind": "string",
"ownerId": "string",
"label": "string",
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/addresses/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"ownerKind\": \"string\",\n \"ownerId\": \"string\",\n \"label\": \"string\",\n \"line1\": \"string\",\n \"line2\": \"string\",\n \"city\": \"string\",\n \"region\": \"string\",\n \"postalCode\": \"string\",\n \"country\": \"string\"\n}",
});
const data = await res.json();